unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, EloTextResIni, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    EloTextResIni1: TEloTextResIni;
    MainMenu1: TMainMenu;
    Item11: TMenuItem;
    Item21: TMenuItem;
    Subitem11: TMenuItem;
    Subitem21: TMenuItem;
    Subitem31: TMenuItem;
    Resurses1: TMenuItem;
    Write1: TMenuItem;
    Read1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    StatusBar1: TStatusBar;
    procedure Exit1Click(Sender: TObject);
    procedure Write1Click(Sender: TObject);
    procedure Read1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.dfm}

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Write1Click(Sender: TObject);
begin
  EloTextResIni1.FileName:= ExtractFilePath(Application.ExeName)+ '\res_file.ini';
  if not FileExists(EloTextResIni1.FileName)
  or (MessageDlg('File '+ EloTextResIni1.FileName+ ' already exists.'+ #13+ 'Rewrite file?', mtConfirmation, [mbYes, mbNo], 0) = mrYes) then
  begin
   Screen.Cursor:= crHourGlass;
   try
    EloTextResIni1.ActionText:= atWrite;
    EloTextResIni1.FormControl:= Form1;
    EloTextResIni1.Execute;
    EloTextResIni1.FormControl:= Form2;
    EloTextResIni1.Execute;
    EloTextResIni1.FormControl:= Form3;
    EloTextResIni1.Execute;
    ShowMessage('Text resources are write in a file'+ #13+ EloTextResIni1.FileName);
   finally
    Screen.Cursor:= crDefault;
   end;
  end;
end;

procedure TForm1.Read1Click(Sender: TObject);
begin
  Screen.Cursor:= crHourGlass;
  try
   EloTextResIni1.FileName:= ExtractFilePath(Application.ExeName)+ '\res_file_rus.ini';
   EloTextResIni1.ActionText:= atRead;
   EloTextResIni1.FormControl:= Form1;
   EloTextResIni1.Execute;
   EloTextResIni1.FormControl:= Form2;
   EloTextResIni1.Execute;
   EloTextResIni1.FormControl:= Form3;
   EloTextResIni1.Execute;
   ShowMessage('Text resources are read in a file'+ #13+ EloTextResIni1.FileName);
  finally
   Screen.Cursor:= crDefault;
  end;
end;

end.
